Bug 1797661 - [RFE] Add a 7.4 stream to the PHP module
Summary: [RFE] Add a 7.4 stream to the PHP module
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: php
Version: 8.2
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Remi Collet
QA Contact: Jakub Heger
Lenka Špačková
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-03 15:22 UTC by Alena
Modified: 2020-12-14 13:15 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
.A new module stream: `php:7.4` RHEL 8.3 introduces `PHP 7.4`, which provides a number of bug fixes and enhancements over version 7.3. This release introduces a new experimental extension, Foreign Function Interface (FFI), which enables you to call native functions, access native variables, and create and access data structures defined in C libraries. The FFI extension is available in the `php-ffi` package. The following extensions have been removed: * The `wddx` extension, removed from `php-xml` package * The `recode` extension, removed from the `php-recode` package. //For more information, see link:https://www.php.net/manual/en/migration74.php[Migrating from PHP 7.3.x to PHP 7.4.x]. To install the `php:7.4` module stream, use: [literal] ---- # yum module install php:7.4 ---- If you want to upgrade from the `php:7.3` stream, see link:https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/8/html-single/installing_managing_and_removing_user-space_components/index#switching-to-a-later-stream_managing-versions-of-appstream-content[Switching to a later stream]. For details regarding PHP usage on RHEL 8, see link:https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/8/html/configuring_basic_system_settings/using-the-php-scripting-language_configuring-basic-system-settings[Using the PHP scripting language].
Clone Of:
Environment:
Last Closed: 2020-11-04 03:16:22 UTC
Type: Enhancement
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:4717 0 None None None 2020-11-04 03:16:24 UTC

Description Alena 2020-02-03 15:22:09 UTC
1. What is the nature and description of the request?

Request that PHP 7.4 module be added to RHEL 8 Appstream. The PHP 7.4 was released in November 2019 https://www.php.net/ChangeLog-7.php#PHP_7_4, and was released by Remi at https://rpms.remirepo.net/enterprise/7/php74/x86_64/repoview/

2. Why does the customer need this? (List the business requirements here)
 
Customer faces a number of critical issues when the PHP version from Red Hat does not release bugs/vulnerabilities fixed in PHP's minor point releases.

For example, currently only version php 7.3.5 is available from the php:7.3 module stream. Version 7.3.5 was released in May 2019 according to https://www.php.net/ChangeLog-7.php#7.3.5. At this point 7.3.14 is the latest available point release upstream. This is a problem because you can see the large number of bugs that were fixed between those two releases.

3. How would the customer like to achieve this? (List the functional requirements here)

Have PHP 7.4 added to Appstream repo

4. List any affected packages or components.

PHP

Comment 20 Remi Collet 2020-05-26 12:40:54 UTC
The current version is 7.4.6, but which introduce a bad regression 
https://bugs.php.net/bug.php?id=79600

So we need to apply the patch (from 7.4.7RC1) or rebase to 7.4.7 in 2 weeks (June 11th)

Comment 21 Remi Collet 2020-05-27 14:02:30 UTC
Fix for upstream issue 79600 is applied.

Comment 29 errata-xmlrpc 2020-11-04 03:16:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (new module: php:7.4), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4717


Note You need to log in before you can comment on or make changes to this bug.